/*
    GetHexColor()
    Posted by Jrgen Feder in the 
      Visual dBASE newsgroups, Jan 19, 2000

    This routine can be used for those situations where
    you need the Hexadecimal color values, rather than the
    RGB returned by the GetColor() function built in to 
    Visual dBASE.

    Usage:   ? GetHexColor()
       This brings up the getColor() dialog, and converts the
       value to Hex, which you can then use for your forms,
       entryfields, and other controls ...
*/
function GetHexColor
local cStr,Ix,Jx
	cStr=GetColor()
   if not empty(cStr)
      ix=RAT(',',cStr)
      jx=AT(',',cStr)
   cStr='0x'+ITOH(val(substr(cStr,ix+1)),2)+;
             ITOH(val(substr(cStr,jx+1,ix-jx)),2)+;
             ITOH(val(substr(cStr,1,jx-1)),2)
	endif
return cStr
